
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_WORKINGGROUP')
CREATE TABLE T_FMM_WORKINGGROUP
(
	  FID               BIGINT        DEFAULT 0   NOT NULL,          
	  FNUMBER           NVARCHAR(30)  DEFAULT ' ' NOT NULL, 	  
	  FNAME             NVARCHAR(50)  DEFAULT ' ' NOT NULL, 	   
	  FCREATEORGID      BIGINT        DEFAULT 0   NOT NULL,  	
	  FORGID            BIGINT        DEFAULT 0   NOT NULL,       
	  FUSEORGID         BIGINT        DEFAULT 0   NOT NULL,   
	  FCTRLSTRATEGY     NVARCHAR(5)   DEFAULT ' ' NOT NULL, 	
	  FSOURCEDATAID     BIGINT        DEFAULT 0   NOT NULL, 	
	  FBITINDEX         INT           DEFAULT 0   NOT NULL,     
	  FSOURCEBITINDEX   INT           DEFAULT 0   NOT NULL, 	
	  FDESCRIBE         NVARCHAR(255) DEFAULT ' ' NOT NULL, 	
	  FGROUPTYPEID      BIGINT        DEFAULT 0   NOT NULL, 	
	  FPERSONMSGID      BIGINT        DEFAULT 0   NOT NULL, 	
	  FAUDITORID        BIGINT        DEFAULT 0   NOT NULL,   	
	  FAUDITTIME        DATETIME ,                   	
	  FINDUSTRYID       BIGINT        DEFAULT 0   NOT NULL,  	
	  FSTATUS           NVARCHAR(1)   DEFAULT ' ' NOT NULL, 
	  FCREATORID        BIGINT        DEFAULT 0   NOT NULL,   
	  FMODIFIERID       BIGINT        DEFAULT 0   NOT NULL,  
	  FENABLE           NVARCHAR(1)   DEFAULT ' ' NOT NULL, 	
	  FCREATETIME       DATETIME ,                  
	  FMODIFYTIME       DATETIME ,         
	  FMASTERID         BIGINT        DEFAULT 0   NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_WORKINGGROUP_L')
CREATE TABLE T_FMM_WORKINGGROUP_L
(
	  FPKID      NVARCHAR(255)     DEFAULT ' ' NOT NULL,       
	  FID        BIGINT            DEFAULT 0   NOT NULL,          
	  FLOCALEID  NVARCHAR(255)     DEFAULT ' ' NOT NULL,       
	  FNAME      NVARCHAR(50)      DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_WKGROUPROLEMSG')
CREATE TABLE T_FMM_WKGROUPROLEMSG
(
	  FID             BIGINT      DEFAULT 0  NOT NULL,          	
	  FENTRYID        BIGINT      DEFAULT 0  NOT NULL,     
	  FSEQ            INT         DEFAULT 0  NOT NULL,          
	  FPROJECTROLEID  BIGINT      DEFAULT 0  NOT NULL, 
	  FGRANTREQUIREID BIGINT      DEFAULT 0  NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_WKGPDISPATCHMSG')
CREATE TABLE T_FMM_WKGPDISPATCHMSG
(
	  FID             BIGINT    DEFAULT 0   NOT NULL,        
	  FENTRYID        BIGINT    DEFAULT 0   NOT NULL,     
	  FSEQ            INT       DEFAULT 0   NOT NULL,            	
	  FDISPATCHAREAID BIGINT    DEFAULT 0   NOT NULL
);


